accessPackage: filterByCurrentUser
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
In Azure AD Entitlement Management, retrieve a list of accessPackage objects filtered on the signed-in user.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | EntitlementManagement.Read.All, EntitlementManagement.ReadWrite.All |
| Delegated (personal Microsoft account) | Not supported. |
| Application | Not supported. |
HTTP request
GET /identityGovernance/entitlementManagement/accessPackages/filterByCurrentUser(on='allowedRequestor')
Function parameters
The following table shows the parameters that can be used with this function.
| Parameter | Type | Description |
|---|---|---|
| on | accessPackageFilterByCurrentUserOptions | The list of current user options that can be used to filter on the access packages list. The allowed value is allowedRequestor. |
allowedRequestoris used to get theaccessPackageobjects for which the signed-in user is allowed to submit access requests. The resulting list includes all access packages that can be requested by the caller across all catalogs.
Request headers
| Name | Description |
|---|---|
| Authorization | Bearer {token}. Required. |
Request body
Do not supply a request body for this method.
Response
If successful, this method returns a 200 OK response code and an accessPackage collection in the response body.
Examples
The following example gets the access packages that can be requested by the signed-in user.
Request
GET https://graph.microsoft.com/beta/identityGovernance/entitlementManagement/accessPackages/filterByCurrentUser(on='allowedRequestor')
Response
Note: The response object shown here might be shortened for readability.
HTTP/1.1 200 OK
Content-Type: application/json
{
"value": [
{
"@odata.type": "#microsoft.graph.accessPackage",
"id": "d378b3b7-b42a-445a-8780-2841194f777e",
"catalogId": "eb0f5e12-484d-4545-8ae1-fb1dfc28ab3c",
"displayName": "Sales resources",
"description": "Resources needed by the Sales department.",
"isHidden": false,
"isRoleScopesVisible": false,
"createdBy": "TestGA@example.com",
"createdDateTime": "2021-01-26T22:30:57.37Z",
"modifiedBy": "TestGA@example.com",
"modifiedDateTime": "2021-01-26T22:30:57.37Z"
}
]
}
Feedback
Submit and view feedback for